package com.persagy.apm.energyalarmstarter.alarmdata;

import com.persagy.apm.energyalarmstarter.alarmdata.utils.JacksonMapper;
import org.springframework.amqp.support.converter.Jackson2JsonMessageConverter;
import org.springframework.amqp.support.converter.MessageConverter;
import org.springframework.boot.autoconfigure.http.HttpMessageConverters;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;

/**
 * @description: 配置类
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/11/27 4:51 下午
 * @version: V1.0
 */
@Configuration
@ComponentScan(value = "com.persagy.apm.energyalarmstarter.alarmdata")
public class AutoConfiguration {
    @Bean
    public HttpMessageConverters customConverters() {
        MappingJackson2HttpMessageConverter converter = new MappingJackson2HttpMessageConverter();
        converter.setObjectMapper(JacksonMapper.nonEmptyMapper);
        return new HttpMessageConverters(converter);
    }

    // JMS 使用
    @Bean
    public MessageConverter customMessageConvert() {
        return new Jackson2JsonMessageConverter();
    }
}
