package com.persagy.apm.energyalarmstarter.alarmdata.feign;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.*;

import java.io.Serializable;

/**
 * @description: 报警请求 url 通用参数
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/28 11:50
 * @version: V1.0
 **/
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
public class AlarmUrlParam implements Serializable {
    /**
     * 用户id
     */
    private String userId;

    /**
     * 集团编码
     */
    private String groupCode;

    /**
     * 项目Id
     */
    private String projectId;

    /**
     * 应用id
     */
    private String appId;
}
