package com.persagy.apm.energyalarmstarter.alarmdata.feign.client;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.apm.energyalarmstarter.alarmdata.constant.RequestUrlConstant;
import com.persagy.apm.energyalarmstarter.alarmdata.feign.DmpResult;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.UrlParamDTO;
import com.persagy.apm.energyalarmstarter.alarmdata.feign.fallback.DicClientFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: feign调用数据中台报警接口
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/11/27 10:43 上午
 * @version: V1.0
 */
@FeignClient(name = "dmp-dic", fallbackFactory = DicClientFallbackFactory.class)
public interface DicClient {

    /**
     * @description: 查询报警字典
     * @param: alarmUrlParam
     * @param: jsonObject
     * @return: com.persagy.dmp.starter.alarm.feign.DmpResult<com.alibaba.fastjson.JSONArray>
     * @exception:
     * @author: lixing
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/11/30 7:10 下午
     * @version: V1.0
     */
    @PostMapping(RequestUrlConstant.DIC_DATA_QUERY)
    DmpResult<JSONArray> queryDicData(@SpringQueryMap UrlParamDTO urlParamDTO, @RequestBody JSONObject jsonObject) throws Exception;
}
