package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmconfig;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.UrlParamDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 报警定义
 *
 * @author lixing
 * @version V1.0 2021/9/16 9:33 上午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QueryAlarmConfigDTO extends UrlParamDTO {
    /**
     * 报警定义id
     */
    private List<String> id;
    /**
     * 报警对象id
     */
    private List<String> objId;
    /**
     * 设备类编码
     */
    private List<String> classCode;
    /**
     * 报警类型编码
     */
    private List<String> itemCode;
    /**
     * 报警系统编码
     */
    private List<String> category;
    /**
     * 报警等级
     */
    private List<String> level;
    /**
     * 备注
     */
    private String remark;
    /**
     * 屏蔽状态 1-open、0- 屏蔽
     */
    private Integer open;
    /**
     * 是否自定义 1-自定义、0-自动生成
     */
    private Integer userDefined;
}
