package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmrecord;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.UrlParamDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 创建报警记录dto
 *
 * @author lixing
 * @version V1.0 2021/9/15 9:10 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AddAlarmRecordDTO extends UrlParamDTO {
    /**
     * 报警记录id
     */
    private String id;
    /**
     * 报警条目编码
     */
    private String itemCode;
    /**
     * 报警对象id
     */
    private String objId;
    /**
     * 设备类编码
     */
    private String classCode;
    /**
     * 报警等级
     */
    private String level;
    /**
     * 备注
     */
    private String remark;
    /**
     * 报警名称
     */
    private String name;
    /**
     * 报警系统
     */
    private String category;
    /**
     * 报警状态
     */
    private Integer state;
    /**
     * 报警性质
     */
    private Integer nature;
    /**
     * 处理方式
     */
    private Integer treatMode;
    /**
     * 处理状态
     */
    private Integer treatState;

    /**
     * 有效期开始时间
     */
    private Date effectStartTime;
    /**
     * 有效期结束时间
     */
    private Date effectEndTime;
    /**
     * 报警发生时的报警条件
     */
    private JSONObject condition;
    /**
     * 报警发生时的采集值信息
     */
    private JSONObject triggerInfo;
    /**
     * 报警发生时间
     */
    private Date triggerTime;
    /**
     * 报警恢复时的采集值信息
     */
    private JSONObject endInfo;
    /**
     * 报警恢复时间
     */
    private Date endTime;
    /**
     * 补充说明
     */
    private JSONObject supplement;
    /**
     * 工单id
     */
    private String orderId;
    /**
     * 工单状态
     */
    private String orderState;
}