package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmrecord;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.UrlParamDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 创建报警记录dto
 *
 * @author lixing
 * @version V1.0 2021/9/15 9:10 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UpdateAlarmRecordDTO extends UrlParamDTO {
    /**
     * 报警记录id
     */
    private String id;
    /**
     * 报警名称
     */
    private String name;
    /**
     * 备注
     */
    private String remark;
    /**
     * 报警状态
     */
    private Integer state;
    /**
     * 报警性质
     */
    private Integer nature;
    /**
     * 处理方式
     */
    private Integer treatMode;
    /**
     * 处理状态
     */
    private Integer treatState;
    /**
     * 报警恢复时的采集值信息
     */
    private JSONObject endInfo;
    /**
     * 报警恢复时间
     */
    private Date endTime;
    /**
     * 工单id
     */
    private String orderId;
    /**
     * 工单状态
     */
    private String orderState;
    /**
     * 报警等级
     */
    private String level;
    /**
     * 补充说明
     */
    private JSONObject supplement;
}