package com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.feign.AlarmUrlParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Set;

/**
 * 查询通用类
 *
 * @author lixing
 * @version V1.0 2021/9/16 9:37 上午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QueryDTO<T> extends UrlParamDTO {
    /** 分页页码 */
    private Integer page;
    /** 分页大小 */
    private Integer size;
    /** 扩展字段 */
    private Set<String> withColumns;
    /** 排序字段 */
    private List<OrderDTO> orders;
    /** 查询条件 */
    private T criteria;
    /** 只查询数量 */
    private Boolean onlyCount;
}
