package com.persagy.apm.energyalarmstarter.alarmdata.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.AlarmCondition;
import lombok.Data;

/**
 * 报警定义
 *
 * @author lixing
 * @version V1.0 2021/9/16 9:33 上午
 **/
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmConfigItem {
    /**
     * 报警定义id
     */
    private String id;
    /**
     * 报警对象id
     */
    private String objId;
    /**
     * 设备类编码
     */
    private String classCode;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 报警类型编码
     */
    private String itemCode;
    /**
     * 报警系统编码
     */
    private String category;
    /**
     * 报警等级
     */
    private String level;
    /**
     * 备注
     */
    private String remark;
    /**
     * 报警条件
     */
    private AlarmCondition condition;
    /**
     * 屏蔽状态 1-open、0- 屏蔽
     */
    private Integer open;
    /**
     * 是否自定义 1-自定义、0-自动生成
     */
    private Integer userDefined;
    /**
     * 集团编码
     */
    private String groupCode;
}
