package com.persagy.apm.energyalarmstarter.alarmdata.mq;

import com.persagy.apm.energyalarmstarter.alarmdata.mq.model.DmpMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @description: 将消息放入mq
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/10 9:45 上午
 * @version: V1.0
 **/
@Slf4j
@Component
public class InstanceObjMessageSender extends MessageSender {
    private static final String routingKey = "";

    /**
     * @description: 发送消息
     * @param: message
     * @return: void
     * @exception:
     * @author: lixing
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/12/10 9:48 上午
     * @version: V1.0
     */
    public void sendMessage(DmpMessage message) {
        super.sendMessage(message, routingKey);
    }
}
