package com.persagy.apm.energyalarmstarter.alarmdata.mq.model;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

/**
 * @description:中台消息队列格式
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/10/28 002816:10
 * @version:V1.0
 **/
@Data
public class DmpMessage {
    private String mid;
    /**
     *  type = alarmConfigsChange
     *  报警消息变化
     */
    private String type;
    private String groupCode;
    private String projectId;
    private String targetId;
    private Integer int1;
    private Integer int2;
    private String str1;
    private String str2;
    private String sendTime;
    private String expireTime;
    private String appId;
    private String userId;
    /**
     * 分别存放新增和修改的报警定义条目
     * {
     *     "createdConfigUniques": [
     *         {
     *             "itemCode": "报警条目编码",
     *             "objId": "对象id"
     *         }
     *     ],
     *     "deletedConfigUniques": [
     *         {
     *             "itemCode": "报警条目编码",
     *             "objId": "对象id"
     *         }
     *     ]
     * }
     */
    private JSONObject exts;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
