package com.persagy.apm.energyalarmstarter.alarmdata.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.apm.energyalarmstarter.alarmdata.feign.DmpResult;
import com.persagy.apm.energyalarmstarter.alarmdata.feign.client.AlarmClient;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.alarmitem.QueryAlarmItemDTO;
import com.persagy.apm.energyalarmstarter.alarmdata.model.dto.common.QueryDTO;
import com.persagy.apm.energyalarmstarter.alarmdata.model.vo.AlarmItem;
import com.persagy.apm.energyalarmstarter.alarmdata.utils.DmpResultUtil;
import com.persagy.apm.energyalarmstarter.alarmdata.utils.Obj2JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报警类型service类
 *
 * @author lixing
 * @version V1.0 2021/9/15 8:47 下午
 **/
@Service
public class AlarmItemServiceImpl {

    @Autowired
    AlarmClient alarmClient;

    /**
     * 查询报警条目
     * @param queryAlarmItemDTO 入参
     * @return 报警批注列表
     * @throws Exception
     */
    public DmpResult<List<AlarmItem>> query(QueryAlarmItemDTO queryAlarmItemDTO) throws Exception {
        QueryDTO<QueryAlarmItemDTO> queryDTO = new QueryDTO<>();
        queryDTO.setCriteria(queryAlarmItemDTO);
        JSONObject jsonObject = Obj2JSONObject.convert(queryDTO);
        DmpResult<JSONArray> result = alarmClient.queryAlarmItem(queryAlarmItemDTO.fetchParams(), jsonObject);
        return DmpResultUtil.multiConvert(result, AlarmItem.class);
    }

}
