package com.persagy.apm.energyalarmstarter.alarmengine.feign;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 报警条件
 *
 * @author lixing
 * @version V1.0 2021/10/22 9:42 上午
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AlarmCondition {
    /**
     * 主键
     */
    private String id;
    
    /**
     * 包含的参数
     */
    private List<String> infoCodes;

    /**
     * 触发条件-前端展示
     */
    private List<List<CalculateMethodDTO>> triggerFrontend;

    /**
     * 触发条件-后端使用
     */
    private String triggerBackend;

    /**
     * 触发时长
     */
    private Integer triggerUphold;

    /**
     *报警等级
     */
    private String alarmLevel;

    /**
     * 持续多久后恢复
     */
    private Integer endUphold;

    /**
     * 触发规则-中文描述
     */
    private List<String> triggerRules;

//    @ApiModelProperty("恢复条件-前端")
//    private List<List<CalculateMethodDTO>> endFrontend;

    /**
     * 恢复条件-后端
     */
    private String endBackend;

    /**
     * 恢复规则-中文描述
     */
    private List<String> endRules;

    /**
     * 生效时间类型
     */
    private String effectTimeType;

    /**
     * 生效时间详情
     */
    private String effectTimeDetail;

    /**
     * 数据中台中需要展示给前端的内容
     */
    private String configs;
}
