package com.persagy.apm.energyalarmstarter.alarmengine.jms;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;

/**
 * 报警记录
 */
@SwaggerDisplayEnum
@AllArgsConstructor
public enum JmsAlarmRecordEnum {
    /**
     * 字典类型
     */
    NEW_ALARM_RECORD("new_alarm_record", "新增报警记录"),
    UPDATE_ALARM_RECORD("update_alarm_record", "更新报警记录"),
    CONTINUE_ALARM("continue_alarm", "报警持续处理");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    /**
     * 根据type获取到枚举对象
     *
     * @param type 报告状态编码
     * @return 报告状态枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static JmsAlarmRecordEnum getByType(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        JmsAlarmRecordEnum[] enums = JmsAlarmRecordEnum.values();
        for (JmsAlarmRecordEnum item : enums) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}


